Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Upgrade from 1.3.2.1 - 1.6 - I think I’m nearly there! 
 
LewisSellers
Member
 
Total Posts:  33
Joined:  2009-06-02
 

Hi Everyone,

Ok, I’ve been working on this upgrade literally all day to try and get it to work. I haven’t even touched the templates as of yet and I know there will be a lot of issues to sort out on those as it’s a fairly major upgrade. I just want to get the admin panel working and the Magento Connect working first on the latest issue so that I know I can actually upgrade.

Basically, our store is on 1.3.2.1, I created a duplicate along with a duplicate database and upgraded it initially to 1.3.2.2 so that I had a ‘fairly’ clean install that I could then upgrade in patches. I then managed to upgrade to 1.4.2 and hit a few problems around that point. I was getting conflict issues which looks like an issue many people have been having when upgrading to above 1.4.2.

I managed to get SSH access and force the upgrades and after battling with numerous errors (some files needed replacing, certain permissions, forcing updates and removing the_find plugin) I’ve managed to get everything showing as updated to 1.6.2.

I can connect to Magento Connect and I can see that literally everything is running on the latest version, however, I cannot access the admin or the frontend. It loads for about 5 or 10 minutes and then eventually, I get the following error:

Error in file"/chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Catalog/sql/catalog_setup/mysql4-upgrade-1.5.9.9-1.6.0.0.php" Column "date" does not exists on table "catalog_product_index_website"

Trace:
#0 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Core/Model/Resource/Setup.php(437): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '1.4.0.0.44', '1.6.0.0.8')
#2 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Core/Model/Resource/Setup.php(320): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('1.4.0.0.44', '1.6.0.0.8')
#3 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Core/Model/App.php(412): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core/Mage/Core/Model/App.php(338): Mage_Core_Model_App->_initModules()
#6 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/Mage.php(640): Mage_Core_Model_App->run(Array)
#7 /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/index.php(80): Mage::run('', 'store')
#8 {main}

I feel I’m extremely close to getting things working again (I may be completely wrong) but this looks to me like a database upgrade issue? Or maybe it’s a collection of files I need to reupload.

Any help would be absolutely fantastic. If I can get the latest version of magento running on this store, I believe it will help us a lot!

Many thanks
Lewis Sellers

 
Magento Community Magento Community
Magento Community
Magento Community
 
LewisSellers
Member
 
Total Posts:  33
Joined:  2009-06-02
 

Hello everyone,

I actually woke up today and went to the admin page of my website. The actual admin login page loaded, but when I entered in my username and password, the page was blank.

I decided to look into our server error log and found the following:

[Wed Feb 22 10:23:00 2012] [error] [client 86.178.104.63] PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]Failed opening required 'minify/Minify/Build.php' (include_path='/chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/lib/minify:/chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/local:/chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/community:/chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/core:/chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/lib:.:/home/glowstic/glowstickcity.co.uk/html/'in /chroot/home/glowsti1/glowstickcity.co.uk/html/upgrade/app/code/community/Fooman/Speedster/Model/BuildSpeedster.php on line 10refererhttp://www.glowstickcity.co.uk/upgrade/admin

If you have any help, that would be great. I am completely lost.

Regards
Lewis

 
Magento Community Magento Community
Magento Community
Magento Community
 
kiatng
Enthusiast
 
Total Posts:  875
Joined:  2008-09-03
Kuala Lumpur, Malaysia
 

The login error is caused by the extension Fooman/Speedster. You can disable the extension by removing the file Fooman_Speedster.xml in app/etc/modules/

Your first error about missing Date column means that the upgrade was not successful. You can try using the Database Repair Tool

Don’t give up and Good Luck.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top